Binary files nebula/nebula and nebula.mod/nebula differ
diff --color -ruN nebula/overlay/route.go nebula.mod/overlay/route.go
--- nebula/overlay/route.go	2022-03-18 17:41:03.932794948 -0400
+++ nebula.mod/overlay/route.go	2022-03-21 18:23:15.258632709 -0400
@@ -16,6 +16,7 @@
 type Route struct {
 	MTU    int
 	Metric int
+    Create bool
 	Cidr   *net.IPNet
 	Via    *iputil.VpnIp
 }
@@ -80,9 +81,9 @@
 			return nil, fmt.Errorf("entry %v.route in tun.routes is not present", i+1)
 		}
 
-		r := Route{
-			MTU: mtu,
-		}
+        r := Route{
+            MTU: mtu,
+        }
 
 		_, r.Cidr, err = net.ParseCIDR(fmt.Sprintf("%v", rRoute))
 		if err != nil {
@@ -180,12 +181,19 @@
 			return nil, fmt.Errorf("entry %v.route in tun.unsafe_routes is not present", i+1)
 		}
 
+        create := true
+		rCreate, ok := m["create"]
+		if ok {
+            create = rCreate.(bool)
+		}
+
 		viaVpnIp := iputil.Ip2VpnIp(nVia)
 
 		r := Route{
 			Via:    &viaVpnIp,
 			MTU:    mtu,
 			Metric: metric,
+            Create: create,
 		}
 
 		_, r.Cidr, err = net.ParseCIDR(fmt.Sprintf("%v", rRoute))
diff --color -ruN nebula/overlay/tun_linux.go nebula.mod/overlay/tun_linux.go
--- nebula/overlay/tun_linux.go	2022-03-18 17:41:03.932794948 -0400
+++ nebula.mod/overlay/tun_linux.go	2022-03-21 17:11:31.020371399 -0400
@@ -279,22 +279,26 @@
 
 	// Path routes
 	for _, r := range t.Routes {
-		nr := netlink.Route{
-			LinkIndex: link.Attrs().Index,
-			Dst:       r.Cidr,
-			MTU:       r.MTU,
-			AdvMSS:    t.advMSS(r),
-			Scope:     unix.RT_SCOPE_LINK,
-		}
+        // HACK: Add Create flag to allow specifying a route in unsafe_routes without making real ip routes
+        fmt.Errorf("[!!!] Route %v | Create=%v", r.Cidr, r.Create)
+        if r.Create {
+            nr := netlink.Route{
+                LinkIndex: link.Attrs().Index,
+                Dst:       r.Cidr,
+                MTU:       r.MTU,
+                AdvMSS:    t.advMSS(r),
+                Scope:     unix.RT_SCOPE_LINK,
+            }
 
-		if r.Metric > 0 {
-			nr.Priority = r.Metric
-		}
+            if r.Metric > 0 {
+                nr.Priority = r.Metric
+            }
 
-		err = netlink.RouteAdd(&nr)
-		if err != nil {
-			return fmt.Errorf("failed to set mtu %v on route %v; %v", r.MTU, r.Cidr, err)
-		}
+            err = netlink.RouteAdd(&nr)
+            if err != nil {
+                return fmt.Errorf("failed to set mtu %v on route %v; %v", r.MTU, r.Cidr, err)
+            }
+        }
 	}
 
 	// Run the interface
